MICORC(5)

NAME
~/.micorc - MICO configuration file format

DESCRIPTION
This file consists of a whitespace separated list of valid MICO command line options. The file is read by every MICO application. Valid command line options are:

-ORBNoIIOPServer
    Do not activate the IIOP server. The IIOP server enables other processes to invoke methods on objects in this process using the Internet Inter ORB Protocol (IIOP). If for some reason you do not want other processes to be able to invoke objects in this process you can use this option. Default is to activate the IIOP server.

-ORBNoIIOPProxy
    Do not activate the IIOP proxy. The IIOP proxy enables this process to invoke methods on objects in other processes using IIOP. If you do not want or need this you can use this option. Default is to activate the IIOP proxy.

-ORBIIOPBlocking
    Make IIOP code use sockets in blocking mode. This gains some extra performance, but nested method invocations do not work in this mode.

-ORBIIOPAddr <address>
    Set the address the IIOP server should run on. If you do not specify this option the IIOP server will choose an unused address. This option can be used multiple times to make the IIOP server listen on multiple addresses.

-ORBId <ORB identifier>
    Specify the ORB identifier, mico-local-orb is currently the only supported ORB identifier. This option is intended for programs that needed access to different CORBA implementations in the same process. In this case the option -ORBId is used to select one of the CORBA implementations.

-ORBImplRepoIOR <impl repository IOR>
    Specify a stringified object reference for the implementation repository the ORB should use.

-ORBImplRepoAddr <impl repository address>
    Specify the address of a process that runs an implementation repository. The ORB will then try to bind to an implementation repository object using the given address. If the bind fails or if you did neither specify -ORBImplRepoAddr nor -ORBImpRepoIOR the ORB will run a local implementation repository.

-ORBIfaceRepoIOR <interface repository IOR>
    The same as -ORBImplRepoIOR but for the interface repository.

-ORBIfaceRepoAddr <interface repository address>
    The same as -ORBImplRepoAddr but for the interface repository.

-ORBNamingIOR <naming service IOR>
    The same as -ORBImplRepoIOR but for the naming service.

-ORBNamingAddr <naming service address>
    The same as -ORBImplRepoAddr but for the naming service.

-ORBDebugLevel <level>
    Specify the debug level. <level> is a non--negative integer with greater values giving more debug output on cerr.

-ORBBindAddr <address>
    Specify an address which bind(const char *repoid) should try to bind to. This option can be used more than once to specify multiple addresses.

-ORBConfFile <rcfile>
    Specifies the file from which to read additional command line options (defaults to ~/.micorc).

-ORBNoCodeSets
    Do not add code set information to object references. Since code set conversion is a CORBA 2.1 feature this option may be needed to talk to ORBs which are not CORBA compliant. Furthermore it may gain some speed.

-ORBNativeCS <pattern>
    Specifies the code set the application uses for characters and strings. <pattern> is a shell-like pattern that must match the description field of a code set in the OSF code set registry (see files admin/code_set_registry.txt and admin/mico_code_set_registry.txt in the MICO source tree). For example the pattern *8859-1* will make the ORB use the code set ISO-8859-1 (Latin 1) as the native char code set, which is the default if you do not specify this option. The ORB uses this information to automatically convert characters and strings when talking to an application that uses a different code set.

-ORBNativeWCS <pattern>
    Similar to -ORBNativeWCS , but specifies the code set the application uses to wide characters and wide strings. Defaults to UTF-16, a 16 bit encoding of Unicode.

-OAId <BOA identifier>
    Specify the BOA identifier, mico-local-boa is the only currently supported BOA identifier.

-OAImplName <name of the object implementation>
    This options is part of the interface between the BOA daemon and an object implementation. Do not use this option!

-OARestoreIOR <IOR to restore>
    This options is part of the interface between the BOA daemon and an object implementation. Do not use this option!

-OARemoteIOR <remote BOA IOR>
    This options is part of the interface between the BOA daemon and an object implementation. Do not use this option!

-OARemoteAddr <remote BOA address>
    This option tells an object implementation the address of the BOA daemon. You should use this option only when starting persistent servers that should register with the BOA daemon.

SEE ALSO
MICO Reference Manual, rsh(1), micod(8), imr(1), imr(1), micorc(5), idl(1)

COPYRIGHT
Copyright (C) 1997, Kay Roemer & Arno Puder

AUTHOR
Kay Roemer & Arno Puder